Red semitransparent background visible when I use Node tool
Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21819

Description

Hi! - win7sp1x64, qgis dev x64 - rev.9b192d4

When I use Node tool after clicking in edited feature, it appears red semitransparent background, it's visible in that video (download and

watch locally):

https://www.dropbox.com/s/6tiwedihce3teoc/clip.mp4?dl=0

I can't turn it off in settings, it's bad because it's hard to see some details on background rasters/wms sources during digitizing, there was

no such thing in earlier rev.

History

#1 - 2015-11-08 05:33 AM - Giovanni Manghi

- Category set to Digitising

- Status changed from Open to Feedback

introduced by commit:d73ef5b as complement for commit:9b192d4.

Your screencast does not suggest that is as invasive as you say, or is it?

#2 - 2015-11-08 05:58 AM - Piotr Kania

I can't set transparency of those new "Node tool mode" - it's possible for digitizing and identify tool. Currently all the time I digitize sth from rasters and

wms's - that's why all my polygon layers have transparent background - and now it's useless to use Node tool as it appears sth on the screen. Maybe it

wolud be better in case of polygons just to show "semitransparent red" outline?

#3 - 2015-11-08 09:12 AM - Giovanni Manghi

Piotr Kania wrote:

I can't set transparency of those new "Node tool mode" - it's possible for digitizing and identify tool. Currently all the time I digitize sth from rasters

and wms's - that's why all my polygon layers have transparent background - and now it's useless to use Node tool as it appears sth on the screen.

Maybe it wolud be better in case of polygons just to show "semitransparent red" outline?

Hi, please leave also feedback for the developer in the above commit page. Thanks.
#4 - 2015-11-08 09:34 AM - Piotr Kania

Another argument against "red semitransparent background" - when I edit common boundary of two polygons (snapping options/enable topological

editing) using Node tool now only one of them has that red background - so it's weird. Second thing - during editing if I move the feature I still see its old

position as a red trace... it's on screencast:

https://www.dropbox.com/s/o9ixhygs87jb2v2/clip4.mp4?dl=0

#5 - 2015-11-09 03:08 AM - Stéphane Brunner

@Giovanni Manghi

There 2 deferent issues:

    -  The geometry isn't updated when we move a point (simple example).

    -  We less see the background...

For the first one I can easily fix it, but the second one is more tricky, than what did I do?

Do I revert this commit ?

#6 - 2015-11-10 12:50 AM - Giovanni Manghi

Stéphane Brunner wrote:

@Giovanni Manghi

There 2 deferent issues:

    -  The geometry isn't updated when we move a point (simple example).

    -  We less see the background...

For the first one I can easily fix it, but the second one is more tricky, than what did I do?

Do I revert this commit ?

Hi Stéphane, good morning,

I just tested your changes in the latest master and I must say that I find everything ok.

I'm not sure what do you mean with "The geometry isn't updated when we move a point".

I see that when a node is moved it remains  also a representation of the node before moving it. This is actually good, it is something that has been asked in

this very same tracker as a feature request (because is how other gis software works...).

I also tried editing polygons with imagery under them, and the transparent red used to highlight the active one gave no problems at all to me.

I think we should keep by now things as they are and wait for feedback by more users.

Cheers!
#7 - 2015-11-11 12:49 PM - Goyo D

I think the settings in Options > Digitizing > Rubberband) should apply to the node tool. Also it would be nice if it were like Map Tools > Identify > Highlight,

where you can set a transparency value which applies only to the backgraund. If only for the shake of consistency.

#8 - 2015-11-13 02:39 AM - Piotr Kania

Similar problem was discussed here:

http://gis.stackexchange.com/questions/79783/add-feature-tool-qgis-2-0-polygon-fill-blocks-view-of-what-i-want-to-digitiz

#9 - 2015-11-16 01:46 AM - Christian Roettger

Hi,

i think it depends on user specific settings or better requirements. One is fine with the actual semi transparent solution, the other one (like me) wants to

digitize polygons with completely transparent background (or a small %) BUT with a clear, not transparent border.

I sugest to give the user the option! Which means that you should be able to set the colour for the rubberband AND the background colour individually.

Thanks and cheers

#10 - 2015-11-20 08:20 AM - Stéphane Brunner

Will be fix with: https://github.com/qgis/QGIS/pull/2490

#11 - 2015-11-24 08:33 AM - Piotr Kania

Hi!

In qgis dev x64 rev. b10e708 it's still impossible to change color and transparency of Node Tool in settings/options/digitizing

#12 - 2015-12-19 10:49 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

it was merged 4 days ago.
